org.springframework.batch.core.jsr.partition

## Class JsrPartitionHandler.PartitionPlanState

- java.lang.Object
- - org.springframework.batch.core.jsr.partition.JsrPartitionHandler.PartitionPlanState

- All Implemented Interfaces:
    java.io.Serializable, javax.batch.api.partition.PartitionPlan
  Enclosing class:
    JsrPartitionHandler

      public static class JsrPartitionHandler.PartitionPlanState
      extends java.lang.Object
      implements javax.batch.api.partition.PartitionPlan, java.io.Serializable

  Since a `PartitionPlan` could provide dynamic data (different results from run to run), the batch runtime needs to save off the results for restarts. This class serves as a container used to save off that state.
  Since:
    3.0
  Author:
    Michael Minella
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionPlanState()`
    `PartitionPlanState(javax.batch.api.partition.PartitionPlan plan)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Properties[]` | `getPartitionProperties()`
    `int` | `getPartitions()`
    `boolean` | `getPartitionsOverride()`
    `int` | `getThreads()`
    `void` | `setPartitionPlan(javax.batch.api.partition.PartitionPlan plan)`
    `void` | `setPartitionProperties(java.util.Properties[] props)`
    `void` | `setPartitions(int count)`
    `void` | `setPartitionsOverride(boolean override)`
    `void` | `setThreads(int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionPlanState

          public PartitionPlanState(javax.batch.api.partition.PartitionPlan plan)

      Parameters:
        `plan` - the `PartitionPlan` that is the source of the state

    - #### PartitionPlanState

          public PartitionPlanState()

  - ### Method Detail

    - #### setPartitionPlan

          public void setPartitionPlan(javax.batch.api.partition.PartitionPlan plan)

    - #### getPartitionProperties

          public java.util.Properties[] getPartitionProperties()

      Specified by:
        `getPartitionProperties` in interface `javax.batch.api.partition.PartitionPlan`

    - #### getPartitions

          public int getPartitions()

      Specified by:
        `getPartitions` in interface `javax.batch.api.partition.PartitionPlan`

    - #### getThreads

          public int getThreads()

      Specified by:
        `getThreads` in interface `javax.batch.api.partition.PartitionPlan`

    - #### setPartitions

          public void setPartitions(int count)

      Specified by:
        `setPartitions` in interface `javax.batch.api.partition.PartitionPlan`

    - #### setPartitionsOverride

          public void setPartitionsOverride(boolean override)

      Specified by:
        `setPartitionsOverride` in interface `javax.batch.api.partition.PartitionPlan`

    - #### getPartitionsOverride

          public boolean getPartitionsOverride()

      Specified by:
        `getPartitionsOverride` in interface `javax.batch.api.partition.PartitionPlan`

    - #### setThreads

          public void setThreads(int count)

      Specified by:
        `setThreads` in interface `javax.batch.api.partition.PartitionPlan`

    - #### setPartitionProperties

          public void setPartitionProperties(java.util.Properties[] props)

      Specified by:
        `setPartitionProperties` in interface `javax.batch.api.partition.PartitionPlan`